Can I Use iTunes 7.3.6 w/ an iPod Touch?

Discussion in 'iTunes' started by radar75, Dec 9, 2007.

  1. radar75

    radar75 New Member

    Dec 9, 2007
    Likes Received:
    Hi! I'm new to this site. I'm thinking about getting an iPod touch. The Apple site says that it requires 7.4 or later. All I use is college and public computers. I spend most of my time online on the computers at the university. They have iTunes but it's 7.3.6 (I can't download the new version b/c of restrictions on the library computers). I wouldn't be using iTunes to buy music, just to download free podcasts of some ministries and free videos off a couple of online musician communities that I'm very active in. I have a 2GB flash mp3 player (which I've only had a couple of months but it's already getting full). I like the Touch b/c it can play musician video lessons (which I can take home w/ me) and plus the WI-FI (which will be handy to use in other places over the holidays and when all the libraries are closed).

    So, do you think that I'll be able to use the old version of iTunes? If not, I know I could go to another local college and use their's. Also, our library has WI-FI, so maybe I could just use the WI-FI store?
  2. SkylarEC

    SkylarEC Super Moderator Emeritus Staff Member

    Sep 19, 2007
    Likes Received:
    No, you do need 7.4 or later.

Share This Page